Skip to main content
GET
/
token
/
price
/
historical
Get Token USD Price History
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/token/price/historical \
  --header 'X-API-KEY: <api-key>'
{
  "usdPrice": "1.001",
  "name": "Tether",
  "symbol": "USDT",
  "address": "0x...",
  "decimals": "6",
  "logo": "https://static.alchemyapi.io/images/assets/825.png",
  "exchangeName": "uniswap",
  "exchangeAddress": "0x...",
  "updatedAt": "2023-05-20T02:58:53.987519619Z",
  "blockNumber": "17941778",
  "timestamp": "1692651613"
}

Documentation Index

Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<string>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
100,
10143,
10200,
1088,
1101,
11011,
11124,
11155111,
11155420,
11297108109,
1135,
1284,
1285,
130,
1301,
1329,
137,
1666600000,
167000,
167009,
168587773,
1868,
1946,
2020,
2021,
2442,
248,
25,
250,
2741,
288,
30,
300,
31,
324,
33111,
33139,
360,
369,
37111,
4002,
4202,
42161,
421614,
42170,
42220,
43113,
43114,
480,
4801,
5000,
534351,
534352,
5371,
5373,
545,
56,
57073,
59141,
59144,
7000,
7001,
747,
763373,
7777777,
80002,
80094,
81457,
8453,
84532,
88882,
88888,
9001,
97,
999999999,
solana,
solana-devnet
Example:

1

exchange
enum<string>

The exchange to query the price from.

Available options:
uniswap-v2,
uniswap-v3,
sushiswap-v2,
pancakeswap-v1,
pancakeswap-v2,
quickswap
timestamp
number
default:1625097600

The timestamp to query from.

Example:

1625097600

blockNumber
number

The block number to query from.

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Alchemy,
GoldRush,
Moralis

Response

200 - application/json
usdPrice
object
required
Example:

"1.001"

name
object
required
Example:

"Tether"

symbol
object
required
Example:

"USDT"

address
object
required
Example:

"0x..."

decimals
object
required
Example:

"6"

Example:

"https://static.alchemyapi.io/images/assets/825.png"

exchangeName
object
required
Example:

"uniswap"

exchangeAddress
string
required
Example:

"0x..."

updatedAt
object
required
Example:

"2023-05-20T02:58:53.987519619Z"

blockNumber
string
required
Example:

"17941778"

timestamp
object
required
Example:

"1692651613"